# 2.6.1.6 Environment

char *zix_current_path(ZixAllocator *allocator)

  Return the current working directory.

  Parameters:

    - allocator – Allocator used for the returned path.

char *zix_temp_directory_path(ZixAllocator *allocator)

  Return the path to a directory suitable for making temporary files.

  Parameters:

    - allocator – Allocator used for the returned path.

  Returns:

    A new path to a temporary directory, or null on error.